@font-face {
  font-family: "Roboto Mono";
  src: url("/assets/fonts/RobotoMono-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "Roboto Mono";
  src: url("/assets/fonts/RobotoMono-Bold.ttf") format("truetype");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: "Wallpoet";
  src: url("/assets/fonts/Wallpoet-Regular.ttf") format("truetype");
}

* {
  min-width: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  display: flex;
  justify-content: center;
  min-height: 100vh;
  font-family: "Roboto Mono";
  background: black;
  cursor: url("/assets/cursors/asteroids-auto.avif") 0 0, auto;
}

body {
  display: flex;
  flex-wrap: wrap;
  width: 1024px;
  margin: 0 auto;
  gap: 40px;
  overflow-x: hidden;
  color: #fd8700; 
}

h1 {
  margin-bottom: 1lh;
  color: #00cc00;
  font-size: 1rem;
}

h1:hover, a:hover, aside {
  color: #00ff00;
}

h2 {
  margin-top: 2lh;
  font-size: 0.88rem;
  font-weight: bold;
}
  

ul {
  padding-left: 10px;
}

li {
  margin-block: 1em;
}

a {
  color: #00cc00;
  text-decoration: none;
  cursor: url("/assets/cursors/asteroids-pointer.avif") 0 0, pointer;
}

img {
  max-width: 100%;
}

figcaption {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  clip-path: inset(50%);
  white-space: nowrap;
}

video {
  display: block;
  width: 600px;
  max-width: 100%;
  margin: 0 auto;
}

main time {
  display: block;
  width: 100%;
  margin: 2lh 0 1lh 0;
  text-align:center;
  font-size:12px;
  border-block: 2px dotted #666666;
  color:#666666;
}

main time:first-of-type {
  margin-top: 0;
}

aside time {
  font-style: italic;
}

header {
  flex: 0 0 100%;
  margin-top: 20px;
  text-align: center;
  color: #00cc00;
  font-size: 3rem;
  border: 2px dashed black;
  background-image: url("/assets/images/background01.avif");
}

header p {
  font-family: "Wallpoet";
  font-size: 0.8rem;
}

main {
  flex: 4;
  order: 1;
  font-size: 0.88rem;
}

aside {
  flex: 1;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  order: 2;
  font-size: 0.75rem;
}

article {
  text-align: justify;
}

article a {
  text-decoration: underline;
  color: #fd8700;
}

article a:hover {
  color: #ffb464;
}

article h1 a, article h1 a:hover {
  color: inherit;
  text-decoration: none;
}

article p {
  margin-block: 1lh;
  text-indent: 2ch;
}

article img {
  display: block;
  margin: 1lh auto;
}

summary {
  color: #fd8700;
  cursor: url("/assets/cursors/asteroids-pointer.avif") 0 0, pointer;
  font-weight: bold;
  padding: 15px;
  text-align: center;
}

summary::-webkit-details-marker {
  display: none;
}

.notes {
  margin-bottom: 2lh;
  font-style: italic;
  text-align: right;
}

.updates {
  margin-top: 4lh;
}

.tooltip {
  position: relative;
  text-decoration: underline;
}

.tooltip-text {
  position: absolute;
  width: 200px;
  padding: 10px;
  z-index: 2;
  font-size: 0.65rem;
  font-style: normal;
  text-align: center;
  text-indent: 0;
  color: #00cc00;
  background-image: url("/assets/images/background01.avif");
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.5s;
}

.tooltip:hover .tooltip-text {
  visibility: visible;
  opacity: 1;
}

.feed {
  position: absolute;
  top: 0;
  right: 0;
}

.feed:hover {
  filter: brightness(2);
}

nav p {
  text-align: center;
}

.guestbook, .my-sites {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.my-sites span {
  margin-block: 10px;
}

@media (max-width: 768px) {
  body {
    flex-direction: column;
    max-width: 100%;
  }

  header, main, aside {
    flex: none;
    flex: 1;
    margin-inline: 2ch;
  }

  header {
    font-size: 1.25rem;
  }
}